#[macro_export]
macro_rules! utf16_string {
    ($s:expr) => {{
        const LEN: usize = $s.len();
        let mut utf16_array: [u16; LEN] = [0; LEN];
        let utf16_iter = $s.encode_utf16();

        for (index, char) in utf16_iter.enumerate() {
            utf16_array[index] = char;
        }
        utf16_array
    }};
}
